[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThread.TSystemTimes

Record for returning processor usage

## Declaration

Source position: classesh.inc line 1719

`public type TThread.TSystemTimes = record`
`IdleTime: QWord;` |  | Processor idle time
`UserTime: QWord;` |  | User code execution time
`KernelTime: QWord;` |  | Kernel (OS) code execution time
`NiceTime: QWord;` |  | Nice (reduced priority) code execution time
`end;`

## Description

TThread.TSystemTimes is used in TThread.GetSystemTimes to report processor usage. The fields are in microseconds.

## See also

TThread.GetSystemTimes |  | Return CPU stats